Update violation
curl --request PATCH \
--url https://api.example.com/api/data-readiness/violations/{violation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resolution_notes": "Fixed by running PII enrichment workflow",
"status": "resolved"
}
'import requests
url = "https://api.example.com/api/data-readiness/violations/{violation_id}"
payload = {
"resolution_notes": "Fixed by running PII enrichment workflow",
"status": "resolved"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resolution_notes: 'Fixed by running PII enrichment workflow',
status: 'resolved'
})
};
fetch('https://api.example.com/api/data-readiness/violations/{violation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"updated_at": "<string>",
"resolved_by": "admin",
"resolution_notes": "Fixed by adding column description"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}Violations
Update violation
Update a violation’s status (open, resolved, false_positive, acknowledged).
PATCH
/
api
/
data-readiness
/
violations
/
{violation_id}
Update violation
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.
Path Parameters
Violation ID
Body
application/json
Response
Successful Response
Response model after updating a violation.
Violation identifier
Example:
"550e8400-e29b-41d4-a716-446655440010"
Updated status
Example:
"resolved"
Timestamp when the violation was last updated
Example:
"2024-01-16T14:30:00Z"
Username who resolved
Example:
"admin"
Notes about the resolution
Example:
"Fixed by adding column description"
Was this page helpful?
⌘I

